Subject: Re: [PATCH V2 net] net: fec: Coverity issue: Dereference null return value

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Dec 2022 11:36:10 -0800

On Mon, 19 Dec 2022 10:27:55 +0800 [email-masked] wrote:
> From: Wei Fang <[email-masked]>
> 
> The build_skb might return a null pointer but there is no check on the
> return value in the fec_enet_rx_queue(). So a null pointer dereference
> might occur. To avoid this, we check the return value of build_skb. If
> the return value is a null pointer, the driver will recycle the page and
> update the statistic of ndev. Then jump to rx_processing_done to clear
> the status flags of the BD so that the hardware can recycle the BD.

Applied but I had to change the subject because the subject should
describe the change. Mentioning the tool which found the problem
belongs in the body of the message.